
%{
#define IF 100
#define ELSE 101
#define THEN 102
#define WHILE 103
#define OP 104
int yylval;

%}

delim	[ \t\n]
ws	{delim}+
letter	[A-Za-z]
digit	[0-9]
id	{letter}({letter}|{digit})*

%%

{ws}	{/* no action*/}

if	{return(IF);}

else	{return(ELSE);}

then	{return(THEN);}

"while"/"("  {return 1;}

"<"	{yylval=104; return(OP);}


%%




