
%{
#define IF 100
#define ELSE 101
#define THEN 102
#define WHILE 103
#define OP 104
int yylval;

%}

delim	[ \t\n]
ws	{delim}+
letter	[A-Za-z]
digit	[0-9]
id	{letter}({letter}|{digit})*

%%

{ws}	{/* no action*/}

if	{ ECHO; printf(" inside IF\n"); yylval=IF;}

else	{ECHO; printf(" inside else"); yylval=ELSE;}

then	{ECHO; printf(" inside THEN\n"); yylval=THEN;}

"while"/"("  {ECHO; printf(" inside WHILE\n"); yylval=WHILE;}

"<"	{yylval=104; return(OP);}

end 	{return 1;}


%%




